<?php
/*
Plugin Name: Clipsan WooCommerce
Plugin URI: https://clipsan.com/plugins/wordpress/woocommerce/
Description: Propojí WooCommerce a Clipsan pro ukládání kontaktů na zákazníky, abyste jim mohli posílat krásné newslettery a opakovaně nabízet své úžasné produkty a služby.
Version: 1.0.3
Author: Clipsan
Author URI: https://clipsan.com/
*/

require_once __DIR__.'/class/clipsan_woo_handler.php';
require_once __DIR__.'/class/clipsan_woo_service.php';
require_once __DIR__ . '/class/clipsan_woo_newsletter.php';
require_once __DIR__ . '/class/clipsan_api_facade.php';

$handler = clipsan_woo_handler::getInstance(__FILE__);
add_action('admin_notices', [$handler, 'initial_notice']);

/**
 * Check if WooCommerce is active
 **/
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    $wooservice = new clipsan_woo_service();
    $wooservice->init();


    if (get_option('clipsan_newsletter_check'))
    {
        $newsletter = new clipsan_woo_newsletter();
        add_action('woocommerce_after_checkout_billing_form', [$newsletter, 'applyNewsletterField'], 10);
        add_action('woocommerce_ppe_checkout_order_review', [$newsletter, 'applyNewsletterField'], 10);
        add_action('woocommerce_register_form', [$newsletter, 'applyNewsletterField'], 10);

        add_action('woocommerce_checkout_order_processed', [$newsletter, 'processNewsletterField'], 10, 2);
        add_action('woocommerce_ppe_do_payaction', [$newsletter, 'processPayPalNewsletterField'], 10, 1);
        add_action('woocommerce_register_post', [$newsletter, 'processRegistrationForm'], 10, 3);
    }
}

add_action( 'plugin_row_meta', array($handler, 'plugin_links'), 10, 2);